// portalAgent的前缀
var pa = "http://192.168.8.108:98";

// 以下的三个方法定义了一个StringBuffer类，功能类似于java的StringBuffer。
// 当需要频繁的对字符串进行拼接时，请使用该类，这样能提高效率。
// var sb = new StringBuffer();
// sb.append("hello");
// sb.append(" world.");
// alert(sb.toString());
function StringBuffer() {
	this._stringArray = new Array();
}

StringBuffer.prototype.append = function(str) {
	this._stringArray.push(str);
}

StringBuffer.prototype.toString = function() {
	return this._stringArray.join("");
}

// 判断字符串是否为空
function isEmpty(str) {
	if (str == null) {
	    return true;
	}
	if (str == "") {
		return true;
	}
	
	return false;
}

// 判断字符串不为空
function isNotEmpty(str) {
	return !isEmpty(str);
}

// 判断手机号
function checkMobile(mobile) {
	if(/^1[3|5][0-9]\d{4,8}$/.test(mobile)) { 
        return true; 
    }
	return false;
}

// 获取日期
// time一般为2012-05-17 15:29:16
function getDate(time) {
	if (time == null || time == "") {
		return "";
	}
	if (time.length > 10) {
		return time.substring(0, 10);
	} else {
		return time;
	}
}

// 新开一个窗口
function openWin(winName, url, anim) {
	if (anim == null || anim == "") {
		anim = "0";
	}
	tmbWindow.evaluateScript("", 0, "openwin_w('" + winName + "','" + url + "','" + anim + "')");
}

function openwin_w(winName, url, anim) {
	localStorage.setItem("tempWinName", winName);
	tmbWindow.open(winName, "0", url, anim, "", "", "4", "275");	
}

// 回退到上一个页面
function goBack() {
	tmbWindow.close(-1);
}

// 弹出一个提示框，默认2秒后关闭。
function openTip(tip, time) {
	if (time == null || time == "") {
		time = 2000;
	}
	tmbWindow.toast(0, 5, tip, time);
}

// 如果一个页面初始化的时间较长，可以弹出一个提示，让用户等待。
function openToast() {
	tmbWindow.toast(0, 5, "处理中...", 0);
}

// 关闭提示框
function closeToast() {
	tmbWindow.closeToast();
}

// 弹出一个对话框，询问用户是否退出系统。
function exitSystem() {
	tmbWindow.setReportKey(0, 1);
	tmbWindow.goBackTo("");
}

// 设置页头的title
// title需要进行decodeURI解码
function setHeaderTitle(divId, title) {
	if (divId == null || divId == "") {
		return;
	}
	if (title != null && title != "") {
		$(divId).innerHTML = decodeURI(title);
	}
}

// 设置一个2秒的定时器，时间到了2秒后，关闭窗口。
var timerId = null;
function timeCount() {
	clearInterval(timerId);
	tmbWindow.close(-1);
}
function beginTimer() {
	timerId = window.setInterval("timeCount()", 2000);
}

// 跳转到相应的菜单
function toMenu(menuName) {
	var winName = menuName + "Win";
	var url = "../" + menuName + "/" + menuName + ".html";
	openWin(winName, url);
}

// 跳转到相应的菜单
function toIndexMenu(menuName) {
	var winName = menuName + "Win";
	var url =  menuName + "/" + menuName + ".html";
	openWin(winName, url);
}

// 跳转到相应的菜单
function toIndex(menuName) {
	var winName = menuName + "Win";
	var url = "../"+ menuName + ".html";
	openWin(winName, url);
}

function len(s) {	
	var l = 0; 
	var a = s.split(""); 
	for (var i=0;i<a.length;i++)
	{ 
		if (a[i].charCodeAt(0)<299) 
		{ 
			l++; 
		} 
		else
		{ 
			l+=2; 
		} 
	} 
	return l; 
	}